Subject: Re: [GSoC PATCH v5 1/2] graph: add --graph-lane-limit option

From: Junio C Hamano <[email-masked]>
Date: Fri, 27 Mar 2026 09:34:00 -0700

Pablo <[email-masked]> writes:

>> Make a mental note that this helper function works on number of
>> lanes, not display columns (which is roughly twice the number of
>> lanes).
>> ...
>> And that mental note helps to convince us this loop makes sense, as
>> it increments 'i' one by one ;-)
>
> Ok, I'll add the note to graph_needs_truncation() and any other places
> that might need to be more clear about if it handles columns or lanes.

Sorry, I should have taken into account that you are new around
here.  My "mental note" comment wasn't meant to suggest adding extra
comments in the code.  Rather, it is "readers would make a mental
note here after reading this piece of code---and then what they
later see this other piece of code, what it does is consistent with
what they remember from the earlier piece code did, which is good"
(if they are inconsistent, you'd see a similar "make a mental note
here" followed later by "but this contradicts what we saw
earlier. what is going on?!?!" instead).